import request from '@/utils/request'

// 查询就医记录费用明细列表
export function listDoctorRecordCost(query) {
  return request({
    url: '/health/doctorRecordCost/list',
    method: 'get',
    params: query
  })
}

// 查询就医记录费用明细详细
export function getDoctorRecordCost(id) {
  return request({
    url: '/health/doctorRecordCost/' + id,
    method: 'get'
  })
}

// 新增就医记录费用明细
export function addDoctorRecordCost(data) {
  return request({
    url: '/health/doctorRecordCost',
    method: 'post',
    data
  })
}

// 修改就医记录费用明细
export function updateDoctorRecordCost(data) {
  return request({
    url: '/health/doctorRecordCost',
    method: 'put',
    data
  })
}

// 删除就医记录费用明细
export function delDoctorRecordCost(id) {
  return request({
    url: '/health/doctorRecordCost/' + id,
    method: 'delete'
  })
}
